Open CASCADE Technology: BOPDS_InterfEZ Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BOPDS_InterfEZ Class Reference

`#include <BOPDS_Interf.hxx>`

Inheritance diagram for BOPDS_InterfEZ:
[legend]

## Public Member Functions
| BOPDS_InterfEZ ()
| BOPDS_InterfEZ (const Handle< NCollection_BaseAllocator > &theAllocator)
virtual | ~BOPDS_InterfEZ ()
Public Member Functions inherited from BOPDS_Interf
void | SetIndices (const Standard_Integer theIndex1, const Standard_Integer theIndex2)
void | Indices (Standard_Integer &theIndex1, Standard_Integer &theIndex2) const
void | SetIndex1 (const Standard_Integer theIndex)
void | SetIndex2 (const Standard_Integer theIndex)
Standard_Integer | Index1 () const
Standard_Integer | Index2 () const
Standard_Integer | OppositeIndex (const Standard_Integer theI) const
Standard_Boolean | Contains (const Standard_Integer theIndex) const
void | SetIndexNew (const Standard_Integer theIndex)
Standard_Integer | IndexNew () const
Standard_Boolean | HasIndexNew (Standard_Integer &theIndex) const
Standard_Boolean | HasIndexNew () const

## Additional Inherited Members
Protected Member Functions inherited from BOPDS_Interf
| BOPDS_Interf ()
| BOPDS_Interf (const Handle< NCollection_BaseAllocator > &theAllocator)
virtual | ~BOPDS_Interf ()
Protected Attributes inherited from BOPDS_Interf
Standard_Integer | myIndex1
Standard_Integer | myIndex2
Standard_Integer | myIndexNew
Handle< NCollection_BaseAllocator > | myAllocator

## Detailed Description

The class BOPDS_InterfEZ is is to store the information about the interference of the type edge/solid.

## Constructor & Destructor Documentation

BOPDS_InterfEZ::BOPDS_InterfEZ | ( |  | ) |
| inline

Constructor

BOPDS_InterfEZ::BOPDS_InterfEZ | ( | const Handle< NCollection_BaseAllocator > & | theAllocator | ) |
| inline

Constructor

Parameters

  theAllocator | allocator to manage the memory

virtual BOPDS_InterfEZ::~BOPDS_InterfEZ | ( |  | ) |
| inlinevirtual

Destructor

The documentation for this class was generated from the following file:

- BOPDS_Interf.hxx